org.keycloak.models.cache.infinispan.authorization.entities

## Class PolicyResourceListQuery

- java.lang.Object
- - org.keycloak.models.cache.infinispan.entities.AbstractRevisioned
  - - org.keycloak.models.cache.infinispan.authorization.entities.PolicyListQuery
    - - org.keycloak.models.cache.infinispan.authorization.entities.PolicyResourceListQuery

- All Implemented Interfaces:
    Serializable, CachedObject, InResource, InResourceServer, PolicyQuery, Revisioned

      public class PolicyResourceListQuery
      extends PolicyListQuery
      implements InResource

  Author:
    Pedro Igor
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicyResourceListQuery(Long revision, String id, String resourceId, Set<String> policies, String serverId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getResourceId()`
    `boolean` | `isInvalid(Set<String> invalidations)`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.authorization.entities.PolicyListQuery

      `getPolicies, getResourceServerId`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.entities.AbstractRevisioned

      `getCacheTimestamp, getId, getRevision, setRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.cache.infinispan.entities.Revisioned

      `getId, getRevision, setRevision`

- - ### Constructor Detail

    - #### PolicyResourceListQuery

          public PolicyResourceListQuery(Long revision,
                                         String id,
                                         String resourceId,
                                         Set<String> policies,
                                         String serverId)

  - ### Method Detail

    - #### isInvalid

          public boolean isInvalid(Set<String> invalidations)

      Specified by:
        `isInvalid` in interface `PolicyQuery`
      Overrides:
        `isInvalid` in class `PolicyListQuery`

    - #### getResourceId

          public String getResourceId()

      Specified by:
        `getResourceId` in interface `InResource`

Copyright © 2020 JBoss by Red Hat. All rights reserved.